---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetenvstor003.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x4490, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x513E0, symBinAddr: 0xC5D0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53320, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53710, symBinAddr: 0xE900, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x546B0, symBinAddr: 0xF8A0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x546C0, symBinAddr: 0xF8B0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50C60, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50C64, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50C68, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50DC0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50E78, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50E7C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50E80, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50E84, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50E88, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50E90, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50EA0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50EA8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50EB0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50EB8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50EC0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50EC8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9506, offset: 0x9506, size: 0x8, addend: 0x0, symName: __ZL11storageData, symObjAddr: 0x50F4A, symBinAddr: 0xC1CA, symSize: 0x0 }
  - { offsetInCU: 0x951F, offset: 0x951F, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50F10, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9571, offset: 0x9571, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3130, symSize: 0x80 }
  - { offsetInCU: 0x9606, offset: 0x9606, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3080, symSize: 0xB0 }
  - { offsetInCU: 0x9661, offset: 0x9661, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2F80, symSize: 0x100 }
  - { offsetInCU: 0x98F4, offset: 0x98F4, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x31B0, symSize: 0xC0 }
  - { offsetInCU: 0x9946, offset: 0x9946, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3270, symSize: 0x220 }
  - { offsetInCU: 0x9B2B, offset: 0x9B2B, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3490, symSize: 0xA0 }
  - { offsetInCU: 0x9BDE, offset: 0x9BDE, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3530, symSize: 0x110 }
  - { offsetInCU: 0x9CD4, offset: 0x9CD4, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3640, symSize: 0x150 }
  - { offsetInCU: 0x9E31, offset: 0x9E31, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3790, symSize: 0x30 }
  - { offsetInCU: 0x9EF2, offset: 0x9EF2, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x37C0, symSize: 0x150 }
  - { offsetInCU: 0xA0EA, offset: 0xA0EA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3910, symSize: 0x160 }
  - { offsetInCU: 0xA3AA, offset: 0xA3AA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3A70, symSize: 0x4A0 }
  - { offsetInCU: 0xA61D, offset: 0xA61D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3F10, symSize: 0x1B0 }
  - { offsetInCU: 0xA838, offset: 0xA838, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x40C0, symSize: 0xA0 }
  - { offsetInCU: 0xA907, offset: 0xA907, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4160, symSize: 0x20 }
  - { offsetInCU: 0xA93E, offset: 0xA93E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4180, symSize: 0x20 }
  - { offsetInCU: 0xA975, offset: 0xA975, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x41A0, symSize: 0x20 }
  - { offsetInCU: 0xAAE4, offset: 0xAAE4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x41C0, symSize: 0x1A0 }
  - { offsetInCU: 0xAE00, offset: 0xAE00, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x4360, symSize: 0x130 }
  - { offsetInCU: 0xAFB0, offset: 0xAFB0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4700, symSize: 0x1B0 }
  - { offsetInCU: 0xB29F, offset: 0xB29F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x48B0, symSize: 0x80 }
  - { offsetInCU: 0xB368, offset: 0xB368, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4930, symSize: 0x6A0 }
  - { offsetInCU: 0xBEFD, offset: 0xBEFD, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA550, symBinAddr: 0x6010, symSize: 0xB0 }
  - { offsetInCU: 0xBF74, offset: 0xBF74, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4FD0, symSize: 0x70 }
  - { offsetInCU: 0xC010, offset: 0xC010, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5040, symSize: 0xA0 }
  - { offsetInCU: 0xC11B, offset: 0xC11B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x50E0, symSize: 0x40 }
  - { offsetInCU: 0xC211, offset: 0xC211, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5120, symSize: 0x2B0 }
  - { offsetInCU: 0xC5B7, offset: 0xC5B7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x53D0, symSize: 0xC0 }
  - { offsetInCU: 0xC6FD, offset: 0xC6FD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5490, symSize: 0x10 }
  - { offsetInCU: 0xC7BF, offset: 0xC7BF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x54A0, symSize: 0x220 }
  - { offsetInCU: 0xCABC, offset: 0xCABC, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x56C0, symSize: 0x10 }
  - { offsetInCU: 0xCB19, offset: 0xCB19, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x56D0, symSize: 0x3A0 }
  - { offsetInCU: 0xD00B, offset: 0xD00B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9FB0, symBinAddr: 0x5A70, symSize: 0x10 }
  - { offsetInCU: 0xD068, offset: 0xD068, size: 0x8, addend: 0x0, symName: _callbackVMInit, symObjAddr: 0x9FC0, symBinAddr: 0x5A80, symSize: 0x10 }
  - { offsetInCU: 0xD09F, offset: 0xD09F, size: 0x8, addend: 0x0, symName: _callbackVMDeath, symObjAddr: 0x9FD0, symBinAddr: 0x5A90, symSize: 0x1C0 }
  - { offsetInCU: 0xD2DC, offset: 0xD2DC, size: 0x8, addend: 0x0, symName: __ZL15checkEnvStorageP9_jvmtiEnvP17_StorageStructurePKc, symObjAddr: 0xA190, symBinAddr: 0x5C50, symSize: 0x200 }
  - { offsetInCU: 0xD4CE, offset: 0xD4CE, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA390, symBinAddr: 0x5E50, symSize: 0x1C0 }
  - { offsetInCU: 0xD6F6, offset: 0xD6F6, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA600, symBinAddr: 0x60C0, symSize: 0x36A }
...
